> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Batch Job Items

> Retrieve a list of all batch job items. Query for items of a specific processing status and/or resource by appending ?processingStatus={processingStatus}&resourceType={resourceType}. Resource type can be Products, ProductProperty, or Pricelistentries.



## OpenAPI

````yaml /openapi/openapi_importexport.json post /platform/data/batchJob/actions/{code}/items
openapi: 3.0.1
info:
  description: |-
    <div id="overview_IMPORTEXPORT">
                <h2>Import Export</h2>
                <p>The Import Export APIs are used to "import and export" Kibo's resources efficiently in <strong>CSV</strong> file format.</p>
                <p> For Importing, files are first zipped and uploaded via the <strong>Files API</strong>. Then an import job can be created, referencing the uploaded files using the <strong>Import API.</strong></p>
                <p> For Exporting, create an export job via the  <strong></strong>Export API, specifying  the resource to be exported. Then after completion, the csv extracts can be downloaded via the <strong>File API</strong></p>
                
            </div>
  title: Import Export
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /platform/data/batchJob/actions/{code}/items:
    post:
      tags:
        - BatchJob
      summary: Get Batch Job Items
      description: >-
        Retrieve a list of all batch job items. Query for items of a specific
        processing status and/or resource by appending
        ?processingStatus={processingStatus}&resourceType={resourceType}.
        Resource type can be Products, ProductProperty, or Pricelistentries.
      parameters:
        - in: path
          name: code
          required: true
          schema:
            type: string
        - in: query
          name: pageSize
          schema:
            format: int32
            type: integer
        - in: query
          name: startIndex
          schema:
            format: int32
            type: integer
        - in: query
          name: includeCount
          schema:
            type: boolean
        - in: query
          name: processingStatus
          schema:
            type: string
        - in: query
          name: resourceType
          schema:
            type: string
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BatchJobItemResultSet'
            text/json:
              schema:
                $ref: '#/components/schemas/BatchJobItemResultSet'
            text/plain:
              schema:
                $ref: '#/components/schemas/BatchJobItemResultSet'
          description: Success
components:
  schemas:
    BatchJobItemResultSet:
      properties:
        items:
          items:
            $ref: '#/components/schemas/BatchJobItem'
          nullable: true
          type: array
        pageCount:
          format: int32
          type: integer
        pageSize:
          format: int32
          type: integer
        startIndex:
          format: int32
          type: integer
        totalCount:
          format: int32
          type: integer
      type: object
    BatchJobItem:
      properties:
        auditInfo:
          $ref: '#/components/schemas/AdminUserAuditInfo'
        batchJobCode:
          nullable: true
          type: string
        catalogId:
          format: int32
          nullable: true
          type: integer
        correlationId:
          nullable: true
          type: string
        currencyCode:
          nullable: true
          type: string
        dataViewMode:
          $ref: '#/components/schemas/DataViewModeType'
        errors:
          items:
            $ref: '#/components/schemas/BatchJobItemError'
          nullable: true
          type: array
        httpMethod:
          nullable: true
          type: string
        itemKey:
          nullable: true
          type: string
        localeCode:
          nullable: true
          type: string
        masterCatalog:
          format: int32
          nullable: true
          type: integer
        processingStatus:
          $ref: '#/components/schemas/BatchJobItemProcessingStatuses'
        query:
          nullable: true
          type: string
        resourceType:
          nullable: true
          type: string
        retryCount:
          format: int32
          nullable: true
          type: integer
        siteId:
          format: int32
          nullable: true
          type: integer
        status:
          format: int32
          nullable: true
          type: integer
        uri:
          nullable: true
          type: string
      type: object
    AdminUserAuditInfo:
      properties:
        createBy:
          nullable: true
          type: string
        createDate:
          format: date-time
          nullable: true
          type: string
        updateBy:
          nullable: true
          type: string
        updateDate:
          format: date-time
          nullable: true
          type: string
      type: object
    DataViewModeType:
      enum:
        - 0
        - 1
        - 2
      format: int32
      type: integer
    BatchJobItemError:
      properties:
        code:
          nullable: true
          type: string
        field:
          nullable: true
          type: string
        itemKeys:
          items:
            $ref: '#/components/schemas/StringStringKeyValuePair'
          nullable: true
          type: array
        longMessage:
          nullable: true
          type: string
        message:
          nullable: true
          type: string
        subErrors:
          items:
            $ref: '#/components/schemas/BatchJobItemError'
          nullable: true
          type: array
      type: object
    BatchJobItemProcessingStatuses:
      enum:
        - Waiting
        - Running
        - ValidationFailed
        - Failed
        - Completed
        - Cancelled
      type: string
    StringStringKeyValuePair:
      properties:
        key:
          nullable: true
          type: string
        value:
          nullable: true
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````